import React from 'react'
import {fetchHeadingStyle} from './headingStyle'
import {
  Text
} from 'react-native'

export default H3= (props)=>{
  const className = props.className || '',
  style =props.style || {}

  const finalClass = className.trim().length>0 ? `H3 ${props.className}` : 'H3'

  let fetchedStyle= fetchHeadingStyle(finalClass)

  fetchedStyle.push(style)

  return (
    <Text style={fetchedStyle}>
      {props.children}
    </Text>
  )
}
