import {textStyle, colorsStyle, backgroundColorStyle} from 'nativestrap-base'
const headingStyle={
  H1:{
    fontSize:36,
    fontWeight:'800'
  },
  H2:{
    fontSize:30,
    fontWeight:'700'
  },
  H3:{
    fontSize:24,
    fontWeight:'600'
  },
  H4:{
    fontSize:18,
    fontWeight:'500'
  },
  H5:{
    fontSize:14,
    fontWeight:'400'
  },
  H6:{
    fontSize:12,
    fontWeight:'300'
  }
}
const mergedStyle= Object.assign({}, headingStyle, textStyle, colorsStyle, backgroundColorStyle)
console.log(textStyle)
export  function fetchHeadingStyle(className){
  const style = className.split(' ').map((styleName) => {
    const extractedStyle= mergedStyle[styleName.trim()]
    if(extractedStyle) return extractedStyle;
  })
  return style
}
